#ifndef RENDER_ZBUFFER
#define RENDER_ZBUFFER

#include "parameters.h"
#include <stdint.h>

/** FE_zbuffer_clear
 * effacer le z buffer pour un nouveau cycle de dessin
 * TODO : ajouter effacement avec le DMA Controller pour les modèles ayant un processeur SH4-A
**/
void fe_zbuffer_clear();

#include <stdbool.h>
/** FE_zbuffer_set_dist
 * change la distance d'un pixel du zbuffer
 * retourne true si il faut dessiner le pixel
 * retourne false si le pixel est déjà existant
**/
bool fe_zbuffer_set_px(const uint32_t x, const uint32_t y, const uint32_t dist); // if you are allowed to draw the pixel on vram

#endif
